Bug 853440 - (CVE-2012-4380) CVE-2012-4380 mediawiki: Did not prevent account creation for IP addresses blocked with GlobalBlocking
CVE-2012-4380 mediawiki: Did not prevent account creation for IP addresses bl...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120830,repor...
: Security
Depends On: 853446 853447
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 10:04 EDT by Jan Lieskovsky
Modified: 2012-09-03 04:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: mediawiki 1.19.2, mediawiki 1.18.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-31 10:04:25 EDT
A security flaw was found in the way MediaWiki, a wiki engine, performed account creation capability validation for certain IP addresses (IP addresses blocked with GlobalBlocking extension were incorrectly still allowed to create new user accounts). A remote attacker could use this flaw to circumvent the GlobalBlocking account creation prevention mechanism.

References:
[1] http://www.gossamer-threads.com/lists/wiki/mediawiki/295767

Upstream bug:
[2] https://bugzilla.wikimedia.org/show_bug.cgi?id=39824

Upstream patch against the 1.18 version:
[3] https://bugzilla.wikimedia.org/show_bug.cgi?id=39824#c0
Comment 1 Jan Lieskovsky 2012-08-31 10:05:06 EDT
This issue affects the versions of the mediawiki package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the mediawiki package, as shipped with Fedora EPEL 5. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-08-31 10:37:30 EDT
CVE request:
http://www.openwall.com/lists/oss-security/2012/08/31/6
Comment 3 Jan Lieskovsky 2012-08-31 10:40:45 EDT
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 853446]
Comment 4 Jan Lieskovsky 2012-08-31 10:42:39 EDT
Created mediawiki tracking bugs for this issue

Affects: epel-5 [bug 853447]
Comment 5 Jan Lieskovsky 2012-09-03 04:23:37 EDT
The CVE identifier of CVE-2012-4380 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/08/31/10

Note You need to log in before you can comment on or make changes to this bug.